# PM1010
#
# Description: Disables the Job Wizard Popup (aka the Contract Wizard Popup)
#              Disables a message letting the user know that the Job Wizard has been disabled and for them
#              to create jobs manually.
################################################################################################################
# Copyright 2023 Orchid Systems 
# Permitted for use with Orchid Systems Modules only.
# The code is supplied on an "as is" basis for training and demonstration purposes only 
# and is not supported by Orchid Systems. If this code is deployed in a live production environment it is the 
# responsibility of the End User to ensure that it is operating as required.
################################################################################################################
from accpac import *

def main(args):
	MyUI()

class MyUI(UI):
	def __init__(self):
		UI.__init__(self)
		self.createScreen()

	def createScreen(self):
		self.onEvent("OnPopupOpened", self.onPopupOpened)
		self.show()# PM1010

	def uiJob_onClock(self, btnType):
		if btnType == ButtonType.custom1:
			ui_command("return", "1")
			self.show()
			
	def onPopupOpened(self, e):
		# print the event parameters
		e = parseArgs(e)
		strPopupName1 = e["strPopupName"]
		strPopupCaption1 = e["strPopupCaption"]
		
		# uncomment next line to get the name of the popup  you want to work with
		#showMessageBox("Popup name: " + strPopupName1)
		if e["strPopupName"] != "wizard_NewContract":
			return
			
		#self.getControlInfo("", self.onPopupControls) # This will list all controls on the form

		### Change the message to whatever is most appropriate.
		showMessageBox("Please create Jobs manually.", "Job Wizard Disabled")
		
		self.setTimeout(5, self.closeWizardPopup)
		
	def closeWizardPopup(self):
		self.getHostControl("btnCancel").click()
		
	def onPopupControls(self, info):
		s = ""
		for c in info.items:
			s = s + "\n" + c.name
		showMessageBox(s)
